Page MenuHomePhabricator

global disabling of compact language list
Closed, ResolvedPublic

Description

I am working on interwiki in category namespace in Wiktionaries. New " compact language list" fuction is annoying and I want to disable it.
But when I disable it on one wiki, I must go to other and disable 150 Wiktionary sites one-by-one.

There should be some global settings for these functions (other example is VE welcome T135767)

Related Objects

StatusAssignedTask
ResolvedNiharika
ResolvedNone
Resolved werdna
DuplicateNone
ResolvedJohan
ResolvedSamwilson
ResolvedSamwilson
ResolvedSamwilson
Resolved TBolliger
ResolvedSamwilson
ResolvedMaxSem
Resolvedkaldari
ResolvedNiharika
ResolvedMaxSem
Resolved bd808
ResolvedSamwilson
ResolvedSamwilson
ResolvedMaxSem
ResolvedNiharika
ResolvedSamwilson
ResolvedMaxSem
ResolvedMaxSem
ResolvedKeegan
ResolvedNiharika
ResolvedSamwilson
DeclinedNone
ResolvedSamwilson
ResolvedSamwilson
ResolvedSamwilson
ResolvedNiharika
ResolvedSamwilson
ResolvedMaxSem
ResolvedMaxSem
ResolvedMaxSem
ResolvedMaxSem
ResolvedMaxSem

Event Timeline

JAnD created this task.Jul 1 2016, 8:19 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 1 2016, 8:19 AM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptJul 1 2016, 8:21 AM

Thanks for your feedback, @JAnD

While global settings in MediaWiki are not available, in T138282 we proposed to create an example Javascript snippet that would allow to disable the feature for you in all wikis by adding it to your global.js.

Having said that, it would be really useful for us to learn more about your usecase ("working on interwiki in category namespace in Wiktionaries") to figure out if there are better ways to support it. Can you describe which is your main goal, which are the steps you normally take to achieve it, and link to some examples?

Thanks!

JAnD added a comment.Jul 1 2016, 8:32 PM

Interwiki in main namespace can be managed automatically by bots.
But in category namespace human work is needed. I manually edit categories on small wiktionaries and whn my bot find some conflict, I open these pages in browser - an I mus often go through some other language because of transliteration. And I cannot tell forward if I will need open ay.wikt, gd.wikt, th.wikt or en.wikt. So I need all links visible

JAnD added a comment.Jul 8 2016, 10:11 AM

For me would be very useful, if is not possible to disable it globally, when clickink on the [other 60 languages] would show complete list, not only choice which languages show.
Or at least [show all] button.

Stryn added a subscriber: Stryn.Nov 28 2017, 8:04 PM
revi added a subscriber: revi.Mar 31 2018, 8:17 AM
Niharika closed this task as Resolved.Jul 28 2018, 12:34 AM
Niharika claimed this task.
Niharika added a subscriber: Niharika.

This should now be doubled using global preferences.